#!/bin/bash

HELP="Usage: ./install.sh {standalone|client|server|help}
Options:
    standalone  Zwykła instalacja
    client      Instalacja klienta ustawień
    server      Instalacja serwera ustawień
    help        This help"

case $1 in
    standalone)
        echo "Zwykła instalacja..."
        cp -P libSettingsFormatIni/libSettingsFormat.so* .
        cp service/BCSService .
        exit 0
    ;;

    client)
        echo "Instalacja klienta ustawień..."
        read -p "Podaj adres serwera w formacie <ip:port> (np: 127.0.0.1:27182): " ADDRESS
        IFS=: read HOST PORT <<< $ADDRESS
        cp -P libSettingsFormatBcs/libSettingsFormat.so* .
        cp service/BCSService .
    ;;

    server)
        echo "Instalacja serwera ustawień..."
        HOST=127.0.0.1
        read -p "Podaj port, na którym będzie działał serwer: " PORT
        cp -P libSettingsFormatBcs/libSettingsFormat.so* .
        cp service_ssvr/BCSService .
    ;;

    help)
        echo "$HELP"
        exit 0
    ;;

    *)
        echo "$HELP"
        exit 1
    ;;
esac

CONF_DIR=~/.config/BCSManager
mkdir -p ${CONF_DIR}

echo "[SettingsServer]
settingsServerHost=${HOST}
settingsServerPort=${PORT}" > ${CONF_DIR}/BCS\ Manager.ini

exit 0
