#!/bin/bash

HELP="Usage: ./reconfigure_server.sh {client|server|help}
Options:
    client      Rekonfiguracja klienta ustawień
    server      Rekonfiguracja serwera ustawień
    help        This help"

CONF_FILE=~/.config/BCSManager/BCS\ Manager.ini

case $1 in
    client)
        echo "Rekonfiguracja klienta ustawień..."
        read -p "Podaj nowy adres serwera w formacie <ip:port> (np: 127.0.0.1:27182): " ADDRESS
        IFS=: read HOST PORT <<< $ADDRESS
        sed -i "/^settingsServerHOST=/s/=.*/=${HOST}/" "${CONF_FILE}"
        sed -i "/^settingsServerPort=/s/=.*/=${PORT}/" "${CONF_FILE}"
    ;;

    server)
        echo "Rekonfiguracja serwera ustawień..."
        read -p "Podaj nowy port, na którym będzie działał serwer: " PORT
        sed -i "/^settingsServerPort=/s/=.*/=${PORT}/" "${CONF_FILE}"
    ;;

    help)
        echo "$HELP"
    ;;

    *)
        echo "$HELP"
        exit 1
    ;;
esac

exit 0
